# This file created by conda-build 3.23.1
# meta.yaml template originally from:
# C:\b\abs_f33r3ynpli\clone\recipe, last modified Fri Dec  9 21:26:39 2022
# ------------------------------------------------

package:
  name: gevent
  version: 22.10.2
source:
  fn: gevent-22.10.2.tar.gz
  sha256: 1ca01da176ee37b3527a2702f7d40dbc9ffb8cfc7be5a03bfa4f9eec45e55c46
  url: https://pypi.io/packages/source/g/gevent/gevent-22.10.2.tar.gz
build:
  number: '0'
  script:
    - copy %SRC_DIR%\deps\c-ares\ares_build.h.dist %SRC_DIR%\deps\c-ares\ares_build.h
    - C:\\b\\abs_f33r3ynpli\\croot\\gevent_1670621213828\\_h_env\\python.exe -m pip
      install . --no-deps --ignore-installed -vvv
  string: py310h2bbff1b_0
requirements:
  build:
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-patch 2.7.5 2
    - msys2-conda-epoch 20160418 1
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
  host:
    - bzip2 1.0.8 he774522_0
    - ca-certificates 2022.10.11 haa95532_0
    - certifi 2022.9.24 py310haa95532_0
    - cffi 1.15.1 py310h2bbff1b_3
    - cython 0.29.32 py310hd77b12b_0
    - greenlet 2.0.1 py310hd77b12b_0
    - libffi 3.4.2 hd77b12b_6
    - openssl 1.1.1s h2bbff1b_0
    - pip 22.3.1 py310haa95532_0
    - pycparser 2.21 pyhd3eb1b0_0
    - python 3.10.8 h966fe2a_1
    - setuptools 65.5.0 py310haa95532_0
    - sqlite 3.40.0 h2bbff1b_0
    - tk 8.6.12 h2bbff1b_0
    - tzdata 2022g h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.37.1 pyhd3eb1b0_0
    - wincertstore 0.2 py310haa95532_2
    - xz 5.2.8 h8cc25b3_0
    - zlib 1.2.13 h8cc25b3_0
  run:
    - cffi >=1.12.2
    - greenlet >=2.0.0
    - python >=3.10,<3.11.0a0
    - setuptools
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
    - zope.event
    - zope.interface
test:
  commands:
    - python -m pip check
  imports:
    - gevent
    - gevent.libev
    - gevent.libuv
    - gevent.resolver
  requires:
    - pip
about:
  description: 'Gevent uses greenlet to provide a high-level synchronous API on top
    of the libev event loop.

    '
  dev_url: https://github.com/gevent/gevent
  doc_url: https://www.gevent.org/contents.html
  home: https://www.gevent.org
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Coroutine-based network library
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: f3edd65c-587b-433b-9502-7dd92d333f03
  recipe-maintainers:
    - nehaljwani
  remote_url: git@github.com:AnacondaRecipes/gevent-feedstock.git
  sha: da1e49ba072dc9b4f144689cb6828ca5eec18cb2
